<bugID>360003<Summary>getRangeExtents reports (0, 0, 0, 0) for list item bullets</Summary><Description>User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9a1) Gecko/20061025 Minefield/3.0a1
Build Identifier: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9a1) Gecko/20061025 Minefield/3.0a1

This is possibly related to https://bugzilla.mozilla.org/show_bug.cgi?id=347171, though I chose to file a new bug that was more specific.  The problem I'm seeing is that calling getRangeExtents on list item bullets (whether they are unicode bullets or arabic numbers such as "1.") returns (x=0, y=0, width=0, height=0).  The impact of this bug is that we are not sure the text is showing on the screen, so we don't present it.


Reproducible: Always

Steps to Reproduce:
1. Load this content into a page:

&lt;html&gt;
&lt;ol&gt;&lt;li&gt;one&lt;/li&gt;&lt;li&gt;two&lt;/li&gt;&lt;li&gt;three&lt;/li&gt;&lt;/ol&gt;
&lt;/html&gt;

2. Examine the getRangeExtents of the "1. " "2. " "3. " text.  It's (0, 0, 0, 0)

Actual Results:  
The getRangeExtents of list bullets is incorrectly reported as (0, 0, 0, 0)

Expected Results:  
The getRangeExtents should report the accurate x, y, width, and height.</Description></bugID>